Package com.ocient.jdbc.proto

## Class PlanProtocol.securityToken.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.securityToken.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.securityTokenOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.securityToken

    public static final class PlanProtocol.securityToken.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>
    implements PlanProtocol.securityTokenOrBuilder

     The opaque set of bytes that represent a logged in user.

Protobuf type `xg.db.sqlPlans.securityToken`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`PlanProtocol.securityToken.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.securityToken` `build()`
`PlanProtocol.securityToken` `buildPartial()`
`PlanProtocol.securityToken.Builder` `clear()`
`PlanProtocol.securityToken.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.securityToken.Builder` `clearIssuerCertificate()` Deprecated.
`PlanProtocol.securityToken.Builder` `clearIssuerFingerprint()` Fingerprint of admin certificate used to issue token
`PlanProtocol.securityToken.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.securityToken.Builder` `clearSignature()` Signature of token data to validate authenticity
`PlanProtocol.securityToken.Builder` `clearToken()` The opaque set of bytes used to represent a logged in user
`PlanProtocol.securityToken.Builder` `clone()`
`PlanProtocol.securityToken` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`com.google.protobuf.ByteString` `getIssuerCertificate()` Deprecated.
`com.google.protobuf.ByteString` `getIssuerFingerprint()` Fingerprint of admin certificate used to issue token
`com.google.protobuf.ByteString` `getSignature()` Signature of token data to validate authenticity
`com.google.protobuf.ByteString` `getToken()` The opaque set of bytes used to represent a logged in user
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.securityToken.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.securityToken.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.securityToken.Builder` `mergeFrom​(PlanProtocol.securityToken other)`
`PlanProtocol.securityToken.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.securityToken.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.securityToken.Builder` `setIssuerCertificate​(com.google.protobuf.ByteString value)` Deprecated.
`PlanProtocol.securityToken.Builder` `setIssuerFingerprint​(com.google.protobuf.ByteString value)` Fingerprint of admin certificate used to issue token
`PlanProtocol.securityToken.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.securityToken.Builder` `setSignature​(com.google.protobuf.ByteString value)` Signature of token data to validate authenticity
`PlanProtocol.securityToken.Builder` `setToken​(com.google.protobuf.ByteString value)` The opaque set of bytes used to represent a logged in user
`PlanProtocol.securityToken.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`

#### clear

    public PlanProtocol.securityToken.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.securityToken getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.securityToken build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.securityToken buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.securityToken.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`

#### setField

    public PlanProtocol.securityToken.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`

#### clearField

    public PlanProtocol.securityToken.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`

#### clearOneof

    public PlanProtocol.securityToken.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`

#### setRepeatedField

    public PlanProtocol.securityToken.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               int index,
                                                               Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`

#### addRepeatedField

    public PlanProtocol.securityToken.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`

#### mergeFrom

    public PlanProtocol.securityToken.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.securityToken.Builder>`

#### mergeFrom

    public PlanProtocol.securityToken.Builder mergeFrom​(PlanProtocol.securityToken other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`

#### mergeFrom

    public PlanProtocol.securityToken.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.securityToken.Builder>`
Throws:
  `IOException`

#### getToken

    public com.google.protobuf.ByteString getToken()

     The opaque set of bytes used to represent a logged in user

`bytes token = 2;`

Specified by:
  `getToken` in interface `PlanProtocol.securityTokenOrBuilder`
Returns:
  The token.

#### setToken

    public PlanProtocol.securityToken.Builder setToken​(com.google.protobuf.ByteString value)

     The opaque set of bytes used to represent a logged in user

`bytes token = 2;`

Parameters:
  `value` - The token to set.
Returns:
  This builder for chaining.

#### clearToken

    public PlanProtocol.securityToken.Builder clearToken()

     The opaque set of bytes used to represent a logged in user

`bytes token = 2;`

Returns:
  This builder for chaining.

#### getSignature

    public com.google.protobuf.ByteString getSignature()

     Signature of token data to validate authenticity

`bytes signature = 3;`

Specified by:
  `getSignature` in interface `PlanProtocol.securityTokenOrBuilder`
Returns:
  The signature.

#### setSignature

    public PlanProtocol.securityToken.Builder setSignature​(com.google.protobuf.ByteString value)

     Signature of token data to validate authenticity

`bytes signature = 3;`

Parameters:
  `value` - The signature to set.
Returns:
  This builder for chaining.

#### clearSignature

    public PlanProtocol.securityToken.Builder clearSignature()

     Signature of token data to validate authenticity

`bytes signature = 3;`

Returns:
  This builder for chaining.

#### getIssuerCertificate

    @Deprecated
    public com.google.protobuf.ByteString getIssuerCertificate()

Deprecated.

     Admin certificate used to issue token

`bytes issuer_certificate = 4 [deprecated = true];`

Specified by:
  `getIssuerCertificate` in interface `PlanProtocol.securityTokenOrBuilder`
Returns:
  The issuerCertificate.

#### setIssuerCertificate

    @Deprecated
    public PlanProtocol.securityToken.Builder setIssuerCertificate​(com.google.protobuf.ByteString value)

Deprecated.

     Admin certificate used to issue token

`bytes issuer_certificate = 4 [deprecated = true];`

Parameters:
  `value` - The issuerCertificate to set.
Returns:
  This builder for chaining.

#### clearIssuerCertificate

    @Deprecated
    public PlanProtocol.securityToken.Builder clearIssuerCertificate()

Deprecated.

     Admin certificate used to issue token

`bytes issuer_certificate = 4 [deprecated = true];`

Returns:
  This builder for chaining.

#### getIssuerFingerprint

    public com.google.protobuf.ByteString getIssuerFingerprint()

     Fingerprint of admin certificate used to issue token

`bytes issuer_fingerprint = 5;`

Specified by:
  `getIssuerFingerprint` in interface `PlanProtocol.securityTokenOrBuilder`
Returns:
  The issuerFingerprint.

#### setIssuerFingerprint

    public PlanProtocol.securityToken.Builder setIssuerFingerprint​(com.google.protobuf.ByteString value)

     Fingerprint of admin certificate used to issue token

`bytes issuer_fingerprint = 5;`

Parameters:
  `value` - The issuerFingerprint to set.
Returns:
  This builder for chaining.

#### clearIssuerFingerprint

    public PlanProtocol.securityToken.Builder clearIssuerFingerprint()

     Fingerprint of admin certificate used to issue token

`bytes issuer_fingerprint = 5;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.securityToken.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.securityToken.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.securityToken.Builder>`